package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.query.SupplierReq;
import com.junmp.jyzb.entity.Supplier;

import java.util.List;

public interface SupplierService extends IService<Supplier> {
    /**
     * 新增
     *
     * @param req
     */
    boolean addSupplier(SupplierReq req);

    /**
    * @Author: Zhaojw
    * @Description: 检查供应商是否存在
    * @DateTime: 2023/7/29 10:49
    * @Params:
    * @Return
    */
    public List<String> CheckSupplierList(List<String> req);

    /**
     * 删除
     *
     * @param req
     */
    boolean deleteSupplier(SupplierReq req);

    /**
     * 编辑
     *
     * @param req
     */
    boolean updateSupplier(SupplierReq req);

    List<String> getAllSupplierId();

    /**
     * 列表信息
     *
     * @param req
     */
    List<Supplier> showSupplier(SupplierReq req);

    /**
     * 更改状态
     *
     * @param req
     */
    boolean changeSupplierState(SupplierReq req);
}
